Transcript LOL API
PATCH
/spaces/{spaceId}/folders/{folderId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

folderId*string

ID of the folder to rename

Request Body

application/json

Updated folder details

TypeScript Definitions

Use the request body type in TypeScript.

name*string

New name for the folder

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://transcript.lol/api/v1/spaces/string/folders/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "workspaceId": "string",
  "parentFolderId": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}